org.optaplanner.core.impl.score.buildin.simplelong

## Class SimpleLongScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<SimpleLongScore>
  - - org.optaplanner.core.impl.score.buildin.simplelong.SimpleLongScoreInliner

-     public class SimpleLongScoreInliner
      extends ScoreInliner<SimpleLongScore>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `score`

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleLongScoreInliner(boolean constraintMatchEnabled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LongWeightedScoreImpacter` | `buildWeightedScoreImpacter(SimpleLongScore constraintWeight)`
    `SimpleLongScore` | `extractScore(int initScore)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### score

          protected long score

  - ### Constructor Detail

    - #### SimpleLongScoreInliner

          protected SimpleLongScoreInliner(boolean constraintMatchEnabled)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public LongWeightedScoreImpacter buildWeightedScoreImpacter(SimpleLongScore constraintWeight)

      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<SimpleLongScore>`

    - #### extractScore

          public SimpleLongScore extractScore(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<SimpleLongScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.